<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

   <ejb-jar>
      <description>Manufacturing Domain</description>
      <display-name>Mfg</display-name>
      <enterprise-beans>
         <entity>
            <description>Assembly Entity Bean</description>
            <display-name>AssemblyEnt</display-name>
            <ejb-name>AssemblyEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>AssemblyEnt</abstract-schema-name>
            <cmp-field>
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>name</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>description</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>revision</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>planner</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>type</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>purchased</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>lomark</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>himark</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry>
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref>
               <ejb-ref-name>ejb/InventoryEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntLocal</local>
               <ejb-link>InventoryEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref>
            	<ejb-ref-name>ejb/BomEntLocal</ejb-ref-name>
            	<ejb-ref-type>Entity</ejb-ref-type>
            	<local-home>org.spec.jappserver.mfg.boment.ejb.BomEntHomeLocal</local-home>
            	<local>org.spec.jappserver.mfg.boment.ejb.BomEntLocal</local>
            	<ejb-link>BomEnt</ejb-link>
            </ejb-local-ref>
            <query>
               <query-method>
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM AssemblyEnt AS a WHERE a.purchased = 1</ejb-ql>
            </query>
         </entity>
         <entity>
            <description>Bom Entity bean</description>
            <display-name>BomEnt</display-name>
            <ejb-name>BomEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.boment.ejb.BomEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.boment.ejb.BomEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.boment.ejb.BomCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>org.spec.jappserver.mfg.boment.ejb.BomEntPK</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>BomEnt</abstract-schema-name>
            <cmp-field>
               <field-name>assemblyId</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>componentId</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>lineNo</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>qty</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>engChange</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>opsNo</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>opsDesc</field-name>
            </cmp-field>
            <env-entry>
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref>
               <description>the Component Entity Bean</description>
               <ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.componentent.ejb.ComponentEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.componentent.ejb.ComponentEntLocal</local>
               <ejb-link>ComponentEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref>
            	<ejb-ref-name>ejb/AssemblyEntLocal</ejb-ref-name>
            	<ejb-ref-type>Entity</ejb-ref-type>
            	<local-home>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntHomeLocal</local-home>
            	<local>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntLocal</local>
            	<ejb-link>AssemblyEnt</ejb-link>
            </ejb-local-ref>
            <query>
               <query-method>
                  <method-name>findBomForAssembly</method-name>
                  <method-params>
                     <method-param>java.lang.String</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM BomEnt AS a WHERE a.assemblyId = ?1</ejb-ql>
            </query>
            <query>
               <query-method>
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM BomEnt AS a</ejb-ql>
            </query>
         </entity>
         <entity>
            <description>Component Entity Bean</description>
            <display-name>ComponentEnt</display-name>
            <ejb-name>ComponentEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.componentent.ejb.ComponentEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.componentent.ejb.ComponentEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.componentent.ejb.ComponentCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>ComponentEnt</abstract-schema-name>
            <cmp-field>
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>name</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>description</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>revision</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>planner</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>type</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>purchased</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>lomark</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>himark</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry>
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref>
               <ejb-ref-name>ejb/InventoryEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntLocal</local>
               <ejb-link>InventoryEnt</ejb-link>
            </ejb-local-ref>
            <query>
               <query-method>
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM ComponentEnt AS a WHERE a.purchased = 2</ejb-ql>
            </query>
         </entity>
         <entity>
            <description>Part Entity Bean</description>
            <display-name>PartEnt</display-name>
            <ejb-name>PartEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.partent.ejb.PartEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.partent.ejb.PartEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.partent.ejb.PartCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>PartEnt</abstract-schema-name>
            <cmp-field>
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>name</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>description</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>revision</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>planner</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>type</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>purchased</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>lomark</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>himark</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry>
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query>
               <query-method>
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM PartEnt AS a</ejb-ql>
            </query>
         </entity>
         <session>
            <description>Large Order Session Bean</description>
            <display-name>LargeOrderSes</display-name>
            <ejb-name>LargeOrderSes</ejb-name>
            <home>org.spec.jappserver.mfg.largeorderses.ejb.LargeOrderSesHome</home>
            <remote>org.spec.jappserver.mfg.largeorderses.ejb.LargeOrderSes</remote>
            <ejb-class>org.spec.jappserver.mfg.largeorderses.ejb.LargeOrderSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry>
               <description>The debug level of the bean - higher
           value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref>
               <description>the Large Order Entity Bean</description>
               <ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntLocal</local>
               <ejb-link>LargeOrderEnt</ejb-link>
            </ejb-local-ref>
         </session>
         <entity>
            <description>Work Order Entity Bean</description>
            <display-name>WorkOrderEnt</display-name>
            <ejb-name>WorkOrderEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>WorkOrderEnt</abstract-schema-name>
            <cmp-field>
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>salesId</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>oLineId</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>status</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>origQty</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>compQty</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>assemblyId</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>dueDate</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>startDate</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry>
               <description>The debug level of the bean - higher
           value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-ref>
               <ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
               <ejb-ref-type>Session</ejb-ref-type>
               <home>org.spec.jappserver.util.sequenceses.ejb.SequenceSesHome</home>
               <remote>org.spec.jappserver.util.sequenceses.ejb.SequenceSes</remote>
               <ejb-link>SequenceSes</ejb-link>
            </ejb-ref>
            <ejb-local-ref>
               <description>the LargeOrder Entity Bean</description>
               <ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntLocal</local>
               <ejb-link>LargeOrderEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref>
               <description>the Component Entity Bean</description>
               <ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.componentent.ejb.ComponentEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.componentent.ejb.ComponentEntLocal</local>
               <ejb-link>ComponentEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref>
               <description>the Assembly Entity Bean</description>
               <ejb-ref-name>ejb/AssemblyEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntLocal</local>
               <ejb-link>AssemblyEnt</ejb-link>
            </ejb-local-ref>
            <resource-ref>
            	<description></description>
            	<res-ref-name>jms/QueueConnectionFactory</res-ref-name>
            	<res-type>javax.jms.QueueConnectionFactory</res-type>
            	<res-auth>Application</res-auth>
            	<res-sharing-scope>Shareable</res-sharing-scope>
            </resource-ref>
            <resource-env-ref>
            	<description></description>
            	<resource-env-ref-name>jms/FulfillOrderQueue</resource-env-ref-name>
            	<resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
            </resource-env-ref>
            <resource-env-ref>
            	<description></description>
            	<resource-env-ref-name>jms/BuyerQueue</resource-env-ref-name>
            	<resource-env-ref-type>javax.jms.Queue</resource-env-ref-type>
            </resource-env-ref>
            <query>
               <query-method>
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM WorkOrderEnt AS a</ejb-ql>
            </query>
         </entity>
         <entity>
            <description>Large Order Entity bean</description>
            <display-name>LargeOrderEnt</display-name>
            <ejb-name>LargeOrderEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>LargeOrderEnt</abstract-schema-name>
            <cmp-field>
               <field-name>id</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>salesOrderId</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>orderLineNumber</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>assemblyId</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>qty</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>dueDate</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>category</field-name>
            </cmp-field>
            <primkey-field>id</primkey-field>
            <env-entry>
               <description>The debug level of the bean - higher
           value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <env-entry>
                <description>States how many categories to split large orders into (1 to n).</description>
                <env-entry-name>categories</env-entry-name>
                <env-entry-type>java.lang.Integer</env-entry-type>
                <env-entry-value>2</env-entry-value>
            </env-entry>
            <ejb-ref>
               <description>the Sequence Session Bean</description>
               <ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
               <ejb-ref-type>Session</ejb-ref-type>
               <home>org.spec.jappserver.util.sequenceses.ejb.SequenceSesHome</home>
               <remote>org.spec.jappserver.util.sequenceses.ejb.SequenceSes</remote>
               <ejb-link>SequenceSes</ejb-link>
            </ejb-ref>
            <query>
               <query-method>
                  <method-name>findByOrderLine</method-name>
                  <method-params>
                     <method-param>int</method-param>
                     <method-param>int</method-param>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM LargeOrderEnt AS a WHERE a.salesOrderId = ?1 and a.orderLineNumber = ?2</ejb-ql>
            </query>
            <query>
                <query-method>
                        <method-name>findByCategory</method-name>
                        <method-params>
                                <method-param>java.lang.Integer</method-param>
                        </method-params>
                </query-method>
                <ejb-ql>select object(o) from LargeOrderEnt o where o.category = ?1</ejb-ql>
            </query>
            <query>
               <query-method>
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM LargeOrderEnt AS a</ejb-ql>
            </query>
         </entity>
         <entity>
            <description>Inventory Entity bean</description>
            <display-name>InventoryEnt</display-name>
            <ejb-name>InventoryEnt</ejb-name>
            <local-home>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntHomeLocal</local-home>
            <local>org.spec.jappserver.mfg.inventoryent.ejb.InventoryEntLocal</local>
            <ejb-class>org.spec.jappserver.mfg.inventoryent.ejb.InventoryCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.String</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>InventoryEnt</abstract-schema-name>
            <cmp-field>
               <field-name>partId</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>qty</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>location</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>accCode</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>accDate</field-name>
            </cmp-field>
            <cmp-field>
               <field-name>in_ordered</field-name>
            </cmp-field>
            <primkey-field>partId</primkey-field>
            <env-entry>
               <description>The debug level of the bean - higher
           value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <query>
               <query-method>
                  <method-name>findAll</method-name>
                  <method-params>
                  </method-params>
               </query-method>
               <ejb-ql>SELECT OBJECT(a) FROM InventoryEnt AS a</ejb-ql>
            </query>
         </entity>
         <session>
            <description>Work Order Session Bean</description>
            <display-name>WorkOrderSes</display-name>
            <ejb-name>WorkOrderSes</ejb-name>
            <home>org.spec.jappserver.mfg.workorderses.ejb.WorkOrderSesHome</home>
            <remote>org.spec.jappserver.mfg.workorderses.ejb.WorkOrderSes</remote>
            <ejb-class>org.spec.jappserver.mfg.workorderses.ejb.WorkOrderSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry>
               <description>The debug level of the bean - higher
           value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref>
               <description>the Work Order Entity Bean</description>
               <ejb-ref-name>ejb/WorkOrderEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.workorderent.ejb.WorkOrderEntLocal</local>
               <ejb-link>WorkOrderEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref>
               <description>Component Entity Bean</description>
               <ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.componentent.ejb.ComponentEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.componentent.ejb.ComponentEntLocal</local>
               <ejb-link>ComponentEnt</ejb-link>
            </ejb-local-ref>
            <ejb-local-ref>
            	<description></description>
            	<ejb-ref-name>ejb/AssemblyEntLocal</ejb-ref-name>
            	<ejb-ref-type>Entity</ejb-ref-type>
            	<local-home>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntHomeLocal</local-home>
            	<local>org.spec.jappserver.mfg.assemblyent.ejb.AssemblyEntLocal</local>
            	<ejb-link>AssemblyEnt</ejb-link>
            </ejb-local-ref>
         </session>
         <session>
            <description>Mfg Auditing Session Bean</description>
            <display-name>MfgAuditSes</display-name>
            <ejb-name>MfgAuditSes</ejb-name>
            <home>org.spec.jappserver.mfg.mfgauditses.ejb.MfgAuditSesHome</home>
            <remote>org.spec.jappserver.mfg.mfgauditses.ejb.MfgAuditSes</remote>
            <ejb-class>org.spec.jappserver.mfg.mfgauditses.ejb.MfgAuditSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry>
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref>
               <description>the Large Order Entity Bean</description>
               <ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
               <ejb-ref-type>Entity</ejb-ref-type>
               <local-home>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntHomeLocal</local-home>
               <local>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntLocal</local>
               <ejb-link>LargeOrderEnt</ejb-link>
            </ejb-local-ref>            
            <resource-ref>
               <description>Mfg DB dataSource</description>
               <res-ref-name>MfgDataSource</res-ref-name>
               <res-type>javax.sql.DataSource</res-type>
               <res-auth>Container</res-auth>
            </resource-ref>
            <resource-ref>
               <description>Orders DB dataSource</description>
               <res-ref-name>OrdsDataSource</res-ref-name>
               <res-type>javax.sql.DataSource</res-type>
               <res-auth>Container</res-auth>
            </resource-ref>
         </session>
         <message-driven>
         	<display-name>LargeOrderMDB</display-name>
         	<ejb-name>LargeOrderMDB</ejb-name>
         	<ejb-class>org.spec.jappserver.mfg.largeordermdb.ejb.LargeOrderMDB</ejb-class>
         	<transaction-type>Container</transaction-type>
         	<message-driven-destination>
         		<destination-type>javax.jms.Queue</destination-type>
         	</message-driven-destination>
         	<env-entry>
               <description>
                   The debug level of the bean - higher
                   value means more information.
               </description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
         	<ejb-local-ref>
         		<description></description>
         		<ejb-ref-name>ejb/LargeOrderEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntHomeLocal</local-home>
         		<local>org.spec.jappserver.mfg.largeorderent.ejb.LargeOrderEntLocal</local>
         		<ejb-link>LargeOrderEnt</ejb-link>
         	</ejb-local-ref>
         </message-driven>
         <message-driven>
         	<display-name>ReceiveMDB</display-name>
         	<ejb-name>ReceiveMDB</ejb-name>
         	<ejb-class>org.spec.jappserver.mfg.receivemdb.ejb.ReceiveMDB</ejb-class>
         	<transaction-type>Container</transaction-type>
         	<message-driven-destination>
         		<destination-type>javax.jms.Queue</destination-type>
         	</message-driven-destination>
         	<env-entry>
               <description>
                   The debug level of the bean - higher
                   value means more information.
               </description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
         	<ejb-local-ref>
         		<description></description>
         		<ejb-ref-name>ejb/ComponentEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.mfg.componentent.ejb.ComponentEntHomeLocal</local-home>
         		<local>org.spec.jappserver.mfg.componentent.ejb.ComponentEntLocal</local>
         		<ejb-link>ComponentEnt</ejb-link>
         	</ejb-local-ref>
         </message-driven>
      </enterprise-beans>
      <relationships>
         <ejb-relation>
            <description>Component-Inventory</description>
            <ejb-relation-name>Component-Inventory</ejb-relation-name>
            <ejb-relationship-role>
               <ejb-relationship-role-name>Component-has-a-Inventory</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source>
                  <ejb-name>ComponentEnt</ejb-name>
               </relationship-role-source>
               <cmr-field>
                  <cmr-field-name>inventory</cmr-field-name>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role>
               <ejb-relationship-role-name>Inventory-has-a-Component</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source>
                  <ejb-name>InventoryEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
         <ejb-relation>
            <description>Assembly-Inventory</description>
            <ejb-relation-name>Assembly-Inventory</ejb-relation-name>
            <ejb-relationship-role>
               <ejb-relationship-role-name>Assembly-has-a-Inventory</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source>
                  <ejb-name>AssemblyEnt</ejb-name>
               </relationship-role-source>
               <cmr-field>
                  <cmr-field-name>inventory</cmr-field-name>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role>
               <ejb-relationship-role-name>Inventory-has-a-Assembly</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source>
                  <ejb-name>InventoryEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
         <ejb-relation>
            <description>WorkOrder-Assembly</description>
            <ejb-relation-name>WorkOrder-Assembly</ejb-relation-name>
            <ejb-relationship-role>
               <ejb-relationship-role-name>WorkOrder-has-a-Assembly</ejb-relationship-role-name>
               <multiplicity>Many</multiplicity>
               <relationship-role-source>
                  <ejb-name>WorkOrderEnt</ejb-name>
               </relationship-role-source>
               <cmr-field>
                  <cmr-field-name>assembly</cmr-field-name>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role>
               <ejb-relationship-role-name>Assembly-has-many-WorkOrders</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source>
                  <ejb-name>AssemblyEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
         <ejb-relation>
            <description>Bom-Component</description>
            <ejb-relation-name>Bom-Component</ejb-relation-name>
            <ejb-relationship-role>
               <ejb-relationship-role-name>Bom-has-a-Component</ejb-relationship-role-name>
               <multiplicity>Many</multiplicity>
               <relationship-role-source>
                  <ejb-name>BomEnt</ejb-name>
               </relationship-role-source>
               <cmr-field>
                  <cmr-field-name>component</cmr-field-name>
               </cmr-field>
            </ejb-relationship-role>
            <ejb-relationship-role>
               <ejb-relationship-role-name>Component-has-many-Bom</ejb-relationship-role-name>
               <multiplicity>One</multiplicity>
               <relationship-role-source>
                  <ejb-name>ComponentEnt</ejb-name>
               </relationship-role-source>
            </ejb-relationship-role>
         </ejb-relation>
         <ejb-relation>
         	<description>AssemblyEnt-BomEnt</description>
         	<ejb-relation-name>AssemblyEnt-BomEnt</ejb-relation-name>
         	<ejb-relationship-role>
         		<ejb-relationship-role-name>BOM-has-a-Assembly</ejb-relationship-role-name>
         		<multiplicity>Many</multiplicity>
         		<relationship-role-source>
         			<ejb-name>BomEnt</ejb-name>
         		</relationship-role-source>
         		<cmr-field>
         			<cmr-field-name>assembly</cmr-field-name>
         		</cmr-field>
         	</ejb-relationship-role>
         	<ejb-relationship-role>
         		<ejb-relationship-role-name>Assembly-has-BOMs</ejb-relationship-role-name>
         		<multiplicity>One</multiplicity>
         		<relationship-role-source>
         			<ejb-name>AssemblyEnt</ejb-name>
         		</relationship-role-source>
         		<cmr-field>
         			<cmr-field-name>bOMs</cmr-field-name>
         			<cmr-field-type>java.util.Collection</cmr-field-type>
         		</cmr-field>
         	</ejb-relationship-role>
         </ejb-relation>
      </relationships>
      <assembly-descriptor>
         <container-transaction>
            <method>
               <ejb-name>AssemblyEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>BomEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>ComponentEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>LargeOrderSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <description>no description</description>
            <method>
               <ejb-name>WorkOrderEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>LargeOrderEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>InventoryEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>WorkOrderSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>MfgAuditSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>PartEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>ReceiveMDB</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
            <method>
               <ejb-name>LargeOrderMDB</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
      </assembly-descriptor>
   </ejb-jar>
